# Run NB Model.r
# Run S-T NB Hurdle Model 
# Infiles:  1) Model = D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/model/nbhurdle_model.txt
#		2) Data =  D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Data/bugsdata_training.txt (Training Data N=184K With bsplines for age)
#		3) Inits =  D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Inits/nbhurdle_inits.txt + splineinits2
# Outfiles: "D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_NBHurdle/nbhurdle_results.txt" (coda files for inits1)
# Nov 15, 2012
# Revised March 21, 2013
#####################
library(R2WinBUGS)

 source("D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Makedata/writeDatafileR.txt")  
 parms<-c("alpha","beta","gamma1","gamma2","Phi","Psi","Delta1",
	    "Delta2","r","rho","Sigma.phi","rho.phi","Sigma.zeta","rho.zeta")  # gammas are bspline coefs for two parts
 inits<-"D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Inits/nbhurdle_inits.txt"
 model<-"D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/model/nbhurdle_model.txt"

 data<-dget("D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Data/bugsdata_training.txt")

 tmp<-proc.time()
 results<-bugs(data=data,inits=inits,parameters.to.save=parms,model.file=model,
  		  n.chains=1, n.iter=15000, n.burnin=5000, n.thin=10,save.history=F,
		  bugs.directory="D:/Program_Files/WinBUGS14",DIC=F,codaPkg=T,debug=T,
		  #bugs.seed=022510,
		  working.directory="D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_NBHurdle/")
 totime<-proc.time()-tmp

 dput(results,"D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_NBHurdle/nbhurdle_results.txt")

 # Remove Unnecessary files
 file.remove(c(paste("D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_NBHurdle/script.txt",sep=""),
		   paste("D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_NBHurdle/data.txt",sep=""),
		   paste("D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_NBHurdle/log.txt",sep=""),
		   paste("D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_NBHurdle/log.odc",sep="")))

coda<-as.matrix(read.bugs(dget("D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_NBHurdle/nbhurdle_results.txt")))

